Webhooks

Handle TextGrid SMS delivery status callback

POST
/api/webhook/textgrid/sms-status

Status callback called by TextGrid for delivered/undelivered messages. Updates the corresponding Message document and broadcasts a socket event to the organization.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

TextGrid delivery status callback. Only delivered and undelivered are sent.

Response Body

text/plain

curl -X POST "https://example.com/api/webhook/textgrid/sms-status" \  -H "Content-Type: application/json" \  -d '{    "MessageSid": "TG5f7b1c2e8a1d4e0012c3b4a5",    "SmsSid": "TG5f7b1c2e8a1d4e0012c3b4a5",    "MessageStatus": "delivered",    "From": "+12362320246",    "To": "+14165550100"  }'
"OK"